ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-sketch-new - Create a new Sketch

SYNOPSIS
arduino-cli sketch new [flags]

DESCRIPTION
Create a new Sketch

OPTIONS
-h, --help[=false]
    help for new

-f, --overwrite[=false]
    Overwrites an existing .ino sketch.

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli sketch new MultiBlinker

SEE ALSO
arduino-cli-sketch(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra